CMS installation ERROR: pip's dependency

I am getting this error massage

(venv) Cibers-iMac:DjangoPrj ciberarmy$ djangocms django_test2

Creating the project

Please wait while I install dependencies

If I am stuck for a long time, please check for connectivity / PyPi issues

ERROR: pip’s dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.

django-reversion 5.0.3 requires django>=3.2, but you have django 3.1.14 which is incompatible.

dj-database-url 1.0.0 requires Django>3.2, but you have django 3.1.14 which is incompatible.

Dependencies installed

Creating the project

Currently installed Django version 3.2 differs from the declared 3.1. Please check the given --django-version installer argument, your virtualenv configuration and any package forcing a different Django version

I have tried to upgrade and even tried to install specific version Bu I am getting the same massage again and again.
Any tips?